---
--- Biso Schneidwerkswagen
---
--- by Matthias " MxY.rlp" B.
--- @date 19/April/2009
--- MxY.rlp@online.de
--- 
--- (c) by MxY.rlp --> Thanks to GIANTS Software for a great game and perfect scriptwork!

BISO = {}

function BISO.prerequisitesPresent(specializations)
		Vehicle.registerJointType("cutter");
	return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function BISO:load(xmlFile)
	
end;
function BISO:update(dt)
end;
function BISO:keyEvent(unicode, sym, modifier, isDown)
end;
function BISO:mouseEvent(posX, posY, isDown, isUp, button)
end;
function BISO:delete()
end;

function BISO:draw()
	g_currentMission:addExtraPrintText(g_i18n:getText("BISO_1"))
end;

function BISO:onDetach()
	for i=table.getn(self.attachedImplements), 1, -1 do
		self:detachImplement(1);
    end;
end;